package com.kingdee.eas.custom.dormitorysystem.waterelectricity;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class WaterElectricitySpecialCollection extends AbstractObjectCollection 
{
    public WaterElectricitySpecialCollection()
    {
        super(WaterElectricitySpecialInfo.class);
    }
    public boolean add(WaterElectricitySpecialInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(WaterElectricitySpecialCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(WaterElectricitySpecialInfo item)
    {
        return removeObject(item);
    }
    public WaterElectricitySpecialInfo get(int index)
    {
        return(WaterElectricitySpecialInfo)getObject(index);
    }
    public WaterElectricitySpecialInfo get(Object key)
    {
        return(WaterElectricitySpecialInfo)getObject(key);
    }
    public void set(int index, WaterElectricitySpecialInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(WaterElectricitySpecialInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(WaterElectricitySpecialInfo item)
    {
        return super.indexOf(item);
    }
}